resources

## Class CareNorm

- java.lang.Object
- - resources.CareNorm

-     public class CareNorm
      extends java.lang.Object

  Version:
    1.0
  Author:
    Alan Mills

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CareNorm(Constants.GoalDescription pGoalDescription, int pGoalDescriptionCount)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Constants.GoalDescription` | `getGoalDescription()` Gets the goalDescription attribute.
    `int` | `getGoalDescriptionCount()` Gets the goalDescriptionCount attribute.
    `void` | `setGoalDescription(Constants.GoalDescription pGoalDescription)` Sets the goalDescription attribute.
    `void` | `setGoalDescriptionCount(int pGoalDescriptionCount)` Sets the goalDescriptionCount attribute.
    `java.lang.String` | `toString()` Returns the goalDescription norm data as a string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CareNorm

          public CareNorm(Constants.GoalDescription pGoalDescription,
                  int pGoalDescriptionCount)

      Parameters:
        `pGoalDescription` -
        `pGoalDescriptionCount` -

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the goalDescription norm data as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the goalDescription norm data as a string

    - #### getGoalDescription

          public Constants.GoalDescription getGoalDescription()

      Gets the goalDescription attribute.
      Returns:
        goalDescription

    - #### setGoalDescription

          public void setGoalDescription(Constants.GoalDescription pGoalDescription)

      Sets the goalDescription attribute.
      Parameters:
        `pGoalDescription` -

    - #### getGoalDescriptionCount

          public int getGoalDescriptionCount()

      Gets the goalDescriptionCount attribute.
      Returns:
        goalDescriptionCount

    - #### setGoalDescriptionCount

          public void setGoalDescriptionCount(int pGoalDescriptionCount)

      Sets the goalDescriptionCount attribute.
      Parameters:
        `pGoalDescriptionCount` -